package com.infomodel;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class MplsVpnServiceKeyAdapter extends XmlAdapter<MplsVpnServiceKeyImpl,MplsVpnServiceKey>{
    
    public MplsVpnServiceKey unmarshal(MplsVpnServiceKeyImpl p) throws Exception {
        try {
            MplsVpnServiceKey r = p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to unmarshall MplsVpnServiceKey : "+p;
            throw new Exception(msg+" due to "+e);   
        }                
    }

    public MplsVpnServiceKeyImpl marshal(MplsVpnServiceKey p) throws Exception {
        try {
            MplsVpnServiceKeyImpl r = (MplsVpnServiceKeyImpl)p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to marshall MplsVpnServiceKeyImpl : "+p;
            throw new Exception(msg+" due to "+e);   
        } 
    }
    
}
